View Issue Details

IDProjectCategoryView StatusLast Update
0000337Far Manager 1.7xPanelpublic2008-07-03 14:34
ReporteraquatiCatAssigned ToZuz 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000337: Перестало работать автообновление панелей для сетевых дисков
DescriptionЕсть сетевые диски. Удаляю файл на таком диске и пока не перечитаю содержимое каталога файл остается на панели :(
TagsNo tags attached.
Build2318

Activities

samlyukov

2007-10-18 08:04

reporter   bugnote:0000709

не подтверждаю. фар 2275.
удалял и из корня сетевого диска и из папок и сами папки удалял - всё ОК.

samlyukov

2007-10-18 08:07

reporter   bugnote:0000710

это смотрел?
F9 - Panel settings
 [ ] Disable automatic update of panels
     if object count exceeds 0
 [x] Network drives autorefresh

Zuz

2007-10-18 09:24

developer   bugnote:0000711

Не повторяется! Прошу больше деталей.
1. Какая ОС на сервере? Какая на клиенте?
2. Есть ли какой билд FAR'a на котором работает правильно?

aquatiCat

2007-10-18 11:47

reporter   bugnote:0000712

Last edited: 2007-10-18 11:50

хм, странно. не работает только для дисков сервера под SCO Unix. сетевой диск Linux обновляет нормально.
winxp sp2, far 2275, Network drives autorefresh включен.
других версий фара сейчас нет, чтобы сказать точно на какой работало раньше. но до этого стояла 2259, там точно все было нормально.

Zuz

2007-10-19 00:22

developer   bugnote:0000713

1. Тогда, ещё деталей,под скотиной какой демон (группа демонов) используется для реализации файлового сервера?
2. Сам Windows XP (проводник) как себя ведёт?
3. Проверь работает ли http://farmanager.com/farbugs/Far171.2259.x86.rar

Вообще похоже, что вы на сервере какие-то настройки поменяли в FAR'e на эту тему, ИМХО, никаких правок очень давно не было.

Если не повторишь, то баг будет закрыт, т.к. похоже, что FAR'a это мало касается.

aquatiCat

2007-10-19 03:36

reporter   bugnote:0000714

1. хз :) самба какая-то как я понимаю.
2. проводник удаляет и обновляет замечательно.
3. насчет 2259 соврал, каюсь, был 2251 - он обновляет нормально, а вот 2259 уже не работает. резюме - до билда 2259 все работало (специально проверил все версии, какие нашел, начиная с 2087 до 2251), проблема появилась где-то в 2259.

Zuz

2007-10-19 06:14

developer   bugnote:0000715

Так, в билдах 2252-2253 мной как раз правился баг с двойным сканированием. И как эффект на дисках которые не умеют делать правильное уведомление отвалилось видимо обновление.
Получается, что это всё же кривая самба, т.к. под windows и linux как ты сам заметил всё замечательно работает.

Может опцию какую, сделать: принудительное обновление дисков с исключениями?
Есть идеи?

aquatiCat

2007-10-19 10:01

reporter   bugnote:0000716

тогда почему проводник нормально все обновляет? или сколько уж там он раз перечитывает каталог неизвестно?

aquatiCat

2007-10-19 10:02

reporter   bugnote:0000717

а опцию можно сделать что-нибудь вроде имен дисков, которые необходимо принудительно обновлять.

vskirdin

2007-10-19 10:28

administrator   bugnote:0000719

2Zuz: не в самбе дело, у меня такая же потеха и c шарами на Win2k3 R2 (правда здесь еще те непонятик - на одном сервере влет, на другом пара секунд или принудительный рефрешь)

sdindikov

2007-10-20 18:29

developer   bugnote:0000721

Last edited: 2007-10-20 18:34

2vskirdin: у меня тоже приходится ждать пару секунд при удалении на шаре w2003 даже в каталоге в 3 файлами. И на сколько я помню раньше сразу исчезало с панели.

aquatiCat: у тебя не исчезает даже если минуту подождать допустим?

Zuz

2007-10-22 01:46

developer   bugnote:0000722

В общем повторяется только на удалённых серверах (не когда на тот же компьютер, где FAR запущен, на шару заходишь) и только при удалении _одного_ файла. Для нескольких файлов повторить не удалось.
Причем эффект можно усилить, если после удаления ходить по панели стрелками: пока ходишь панель не обновляется. Как перестаёшь стрелки жать примерно секунды ч/з 2 происходит обновление.
Это буду править, есть что ещё?

Zuz

2007-10-22 03:13

developer   bugnote:0000723

Удавил, но не уверен, что вполне оптимально искать после 2279

Zuz

2007-10-22 08:22

developer   bugnote:0000725

Проверяйте http://farmanager.com/farbugs/mantis337.1.rar

aquatiCat

2007-10-23 08:23

reporter   bugnote:0000727

теперь нормально работает

Zuz

2008-01-25 16:30

developer   bugnote:0001163

просьба перепроверить на билдах > 2318 и 416

Issue History

Date Modified Username Field Change
2007-10-18 04:45 aquatiCat New Issue
2007-10-18 08:04 samlyukov Note Added: 0000709
2007-10-18 08:07 samlyukov Note Added: 0000710
2007-10-18 08:30 Zuz Status new => assigned
2007-10-18 08:30 Zuz Assigned To => Zuz
2007-10-18 09:24 Zuz Note Added: 0000711
2007-10-18 11:47 aquatiCat Note Added: 0000712
2007-10-18 11:49 aquatiCat Note Edited: 0000712
2007-10-18 11:50 aquatiCat Note Edited: 0000712
2007-10-19 00:22 Zuz Note Added: 0000713
2007-10-19 03:36 aquatiCat Note Added: 0000714
2007-10-19 06:14 Zuz Note Added: 0000715
2007-10-19 10:01 aquatiCat Note Added: 0000716
2007-10-19 10:02 aquatiCat Note Added: 0000717
2007-10-19 10:28 vskirdin Note Added: 0000719
2007-10-20 18:29 sdindikov Note Added: 0000721
2007-10-20 18:30 sdindikov Note Edited: 0000721
2007-10-20 18:31 sdindikov Note Edited: 0000721
2007-10-20 18:34 sdindikov Note Edited: 0000721
2007-10-22 01:46 Zuz Note Added: 0000722
2007-10-22 03:13 Zuz Note Added: 0000723
2007-10-22 08:22 Zuz Note Added: 0000725
2007-10-22 08:22 Zuz Status assigned => feedback
2007-10-23 08:23 aquatiCat Note Added: 0000727
2007-10-23 12:41 alexy Status feedback => resolved
2007-10-23 12:41 alexy Fixed in Version => 1.71
2007-10-23 12:41 alexy Resolution open => fixed
2007-11-08 18:17 alexy Build => 2279
2007-11-08 18:17 alexy Status resolved => closed
2008-01-25 16:30 Zuz Note Added: 0001163
2008-01-25 16:30 Zuz Status closed => assigned
2008-01-25 16:30 Zuz Resolution fixed => reopened
2008-01-25 16:30 Zuz Status assigned => feedback
2008-07-03 14:34 alexy Build 2279 => 2318
2008-07-03 14:34 alexy Status feedback => closed
2008-07-03 14:34 alexy Resolution reopened => fixed